# Tests by default. No tests: rpm -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}

%define _libdir64 %{_prefix}/lib64

Name:		libwebp
Version:	1.0.2
Release:	1
Group:		Development/Libraries
URL:		http://webmproject.org/
Summary:	Library and tools for the WebP graphics format
# Additional IPR is licensed as well. See PATENTS file for details
License:	BSD
Source0:	http://webp.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	libjpeg-devel >= 6b-7
BuildRequires:	libpng-devel >= 1.2.46
BuildRequires:	libtiff-devel >= 3.8.2-1
Requires: libgcc >= 6.3.0-1

%description
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.


%package tools
Group:		Development/Tools
Summary:	The WebP command line tools
Requires:	libjpeg >= 6b-7
Requires:	libpng >= 1.2.46
Requires:	libtiff >= 3.8.2-1

%description tools
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.


%package devel
Group:		Development/Libraries
Summary:	Development files for libwebp, a library for the WebP format
Requires:	%{name} = %{version}-%{release}

%description devel
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.


%prep
%setup -q
%patch0


%build
export CONFIG_SHELL=/opt/freeware/bin/bash

export CC="/opt/freeware/bin/gcc -maix64 -O2"
export OBJECT_MODE=64
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib "
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-libwebpmux \
    --enable-libwebpdemux \
    --enable-libwebpdecoder
gmake %{?_smp_mflags}

# No test cases 
if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export OBJECT_MODE=64
make DESTDIR=${RPM_BUILD_ROOT} install
/usr/bin/strip  ${RPM_BUILD_ROOT}%{_bindir}/* || :



%files
%defattr(-,root,system,-)
%doc README PATENTS COPYING NEWS AUTHORS
%{_libdir}/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%files tools
%defattr(-,root,system,-)
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Thu Jun 06 2019 Harshita Jain <harjain9@in.ibm.com > - 1.0.2-1
- Initial port to AIX TOOLBOX

* Wed Jan 29 2014 Michael Perzl <michael@perzl.org> - 0.4.0-1
- updated to version 0.4.0

* Wed Jun 26 2013 Michael Perzl <michael@perzl.org> - 0.3.0-1
- updated to version 0.3.0

* Fri May 03 2013 Michael Perzl <michael@perzl.org> - 0.2.1-1
- updated to version 0.2.1

* Mon Jul 09 2012 Michael Perzl <michael@perzl.org> - 0.1.3-1
- first version for AIX V5.1 and higher
